Last Comment Bug 657608 - javascript tests - remove all Sisyphus and Antediluvian cruft
: javascript tests - remove all Sisyphus and Antediluvian cruft
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: ---
Assigned To: Bob Clary [:bc:]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-17 06:12 PDT by Bob Clary [:bc:]
Modified: 2011-05-23 14:15 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (230.37 KB, patch)
2011-05-17 08:47 PDT, Bob Clary [:bc:]
jorendorff: review+
igor: feedback+
Details | Diff | Review

Description Bob Clary [:bc:] 2011-05-17 06:12:11 PDT
The old sisyphus related test code in js/src/tests as well as some other even older files clutter up the js/src/tests directory. I'll work up a patch later today to remove the things I know about.
Comment 1 Bob Clary [:bc:] 2011-05-17 08:47:32 PDT
Created attachment 532972 [details] [diff] [review]
patch

I ran make jstestbrowser and make check which seemed to work fine. This patch removes the following files:

js/src/tests/Patterns.pm
js/src/tests/SisyphusMakefile
js/src/tests/bisect.sh
js/src/tests/changes.sh
js/src/tests/config.mk
js/src/tests/config.sh
js/src/tests/detect-universe.sh
js/src/tests/dikdik-n.tests
js/src/tests/get-universe.sh
js/src/tests/importList.html
js/src/tests/importList.js
js/src/tests/js-test-driver-quirks.html
js/src/tests/js-test-driver-standards.html
js/src/tests/known-failures.pl
js/src/tests/menufoot.html
js/src/tests/menuhead.html
js/src/tests/menuhead.js
js/src/tests/mkhtml.pl
js/src/tests/mklistpage.pl
js/src/tests/pattern-expander.pl
js/src/tests/pattern-extracter.pl
js/src/tests/performance-1.8.0.tests
js/src/tests/performance-1.8.1.tests
js/src/tests/performance-1.9.0.tests
js/src/tests/performance-1.9.1.tests
js/src/tests/performance-1.9.2.tests
js/src/tests/post-process-logs.pl
js/src/tests/process-logs.sh
js/src/tests/remove-fixed-failures.sh
js/src/tests/runtests.sh
js/src/tests/slow-n-1.8.1-browser.tests
js/src/tests/slow-n-1.8.1.tests
js/src/tests/slow-n-1.9.0-browser.tests
js/src/tests/slow-n-1.9.0.tests
js/src/tests/slow-n-1.9.1-browser.tests
js/src/tests/slow-n-1.9.1.tests
js/src/tests/slow-n-1.9.2-browser.tests
js/src/tests/slow-n-1.9.2.tests
js/src/tests/spidermonkey-n-1.8.0.tests
js/src/tests/spidermonkey-n-1.8.1.tests
js/src/tests/spidermonkey-n-1.9.0.tests
js/src/tests/spidermonkey-n-1.9.1.tests
js/src/tests/spidermonkey-n-1.9.2.tests
js/src/tests/spidermonkey-n-1.9.3.tests
js/src/tests/test.sh
js/src/tests/userhookeach.js
Comment 2 Bob Clary [:bc:] 2011-05-17 08:52:03 PDT
adding some more ccs in case others care about these old files.
Comment 3 Igor Bukanov 2011-05-17 15:45:57 PDT
Comment on attachment 532972 [details] [diff] [review]
patch

Yes, lets GC this dead files :)
Comment 4 Jason Orendorff [:jorendorff] 2011-05-18 09:43:30 PDT
Comment on attachment 532972 [details] [diff] [review]
patch

Great! Thank you.

It's a nice thought that other people finally took over the endless task so that Sisyphus could finally rest in peace.
Comment 5 Bob Clary [:bc:] 2011-05-18 09:58:43 PDT
http://hg.mozilla.org/tracemonkey/rev/8c697ffd18f8
Comment 6 Chris Leary [:cdleary] (not checking bugmail) 2011-05-23 14:15:14 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/8c697ffd18f8

Note You need to log in before you can comment on or make changes to this bug.